Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.session.impl
Class RecipePrescriberServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.recipe.session.impl.RecipePrescriberServiceImpl

All Implemented Interfaces:
  RecipePrescriberService

Deprecated.

    @Deprecated
    public class RecipePrescriberServiceImpl

extends Object
implements RecipePrescriberService

This component takes care of all technical complexity to interact correctly with the Recip-e services. As part of this Business Connector for General Practitioners, the prescriber related services of the Recip-e solution can be integrated easily in end-user software applications. The Recip-e solution is making extensive use of eHealth-platform related base services and standards to guarantee a secure transfer of personal medical related information. This includes: end-to-end encryption for addressed messages (known recipient), end-to-end encryption for non-addressed messages (unknown recipient), Secure Token Service, Key Depot and Key Generation and Storage Service. Implementation of `RecipePrescriberService`

Constructor Summary
`RecipePrescriberServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Deprecated.
`RecipePrescriberServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto systemCrypto, Crypto personalCrypto)` Deprecated. Use it without crypto

Method Summary
`String` | `createPrescription(boolean feedbackRequested, long patientId, byte[] prescription, String prescriptionType)` Deprecated. Creates the prescription.
`GetPrescriptionForPrescriberResult` | `getPrescription(String rid)` Deprecated. Gets the prescription.
`List<ListFeedbackItem>` | `listFeedback(boolean readFlag)` Deprecated. List feedback.
`List<String>` | `listOpenPrescription()` Deprecated. List open prescription.
`void` | `prepareCreatePrescription(long patientId, String prescriptionType)` Deprecated. Prepare create prescription.
`void` | `revokePrescription(String rid, String reason)` Deprecated. Revoke prescription.
`void` | `sendNotification(byte[] notificationText, long patientId, long executorId)` Deprecated. Send notification.
`void` | `updateFeedbackFlag(String rid, boolean feedbackAllowed)` Deprecated. Update feedback flag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipePrescriberServiceImpl

    @Deprecated
    public RecipePrescriberServiceImpl(SessionValidator sessionValidator,
                                                  EhealthReplyValidator replyValidator,
                                                  Crypto systemCrypto,
                                                  Crypto personalCrypto)
                                throws RecipeBusinessConnectorException

  Deprecated. Use it without crypto

  Instantiates a new recipe prescriber service impl.

  Parameters:
    `sessionValidator` - the session validator
    `replyValidator` - the reply validator
  Throws:
    `RecipeBusinessConnectorException`

### RecipePrescriberServiceImpl

    public RecipePrescriberServiceImpl(SessionValidator sessionValidator,
                                       EhealthReplyValidator replyValidator)
                                throws RecipeBusinessConnectorException

  Deprecated.
  Throws:
    `RecipeBusinessConnectorException`

Method Detail

### prepareCreatePrescription

    public void prepareCreatePrescription(long patientId,
                                          String prescriptionType)
                                   throws TechnicalConnectorException,
                                          SessionManagementException,
                                          RecipeBusinessConnectorException

  Deprecated.
  Prepare create prescription.

  Specified by:
    `prepareCreatePrescription` in interface `RecipePrescriberService`
  Parameters:
    `patientId` - the patient id
    `prescriptionType` - the prescription type
  Throws:
    `SessionManagementException`
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`

### createPrescription

    public String createPrescription(boolean feedbackRequested,
                                     long patientId,
                                     byte[] prescription,
                                     String prescriptionType)
                              throws RecipeBusinessConnectorException,
                                     TechnicalConnectorException

  Deprecated.
  Creates the prescription.

  Specified by:
    `createPrescription` in interface `RecipePrescriberService`
  Parameters:
    `feedbackRequested` - the feedback requested
    `patientId` - the patient id
    `prescription` - the prescription
    `prescriptionType` - the prescription type
  Returns:
    the string
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `RecipeBusinessConnectorException`

### sendNotification

    public void sendNotification(byte[] notificationText,
                                 long patientId,
                                 long executorId)
                          throws RecipeBusinessConnectorException,
                                 TechnicalConnectorException

  Deprecated.
  Send notification.

  Specified by:
    `sendNotification` in interface `RecipePrescriberService`
  Parameters:
    `notificationText` - the notification text
    `patientId` - the patient id
    `executorId` - the executor id
  Throws:
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### revokePrescription

    public void revokePrescription(String rid,
                                   String reason)
                            throws RecipeBusinessConnectorException,
                                   TechnicalConnectorException

  Deprecated.
  Revoke prescription.

  Specified by:
    `revokePrescription` in interface `RecipePrescriberService`
  Parameters:
    `rid` - the rid
    `reason` - the reason
  Throws:
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getPrescription

    public GetPrescriptionForPrescriberResult getPrescription(String rid)
                                                       throws RecipeBusinessConnectorException,
                                                              TechnicalConnectorException

  Deprecated.
  Gets the prescription.

  Specified by:
    `getPrescription` in interface `RecipePrescriberService`
  Parameters:
    `rid` - the rid
  Returns:
    the prescription
  Throws:
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### listOpenPrescription

    public List<String> listOpenPrescription()
                                      throws TechnicalConnectorException

  Deprecated.
  List open prescription.

  Specified by:
    `listOpenPrescription` in interface `RecipePrescriberService`
  Returns:
    the list
  Throws:
    `TechnicalConnectorException`
    `SessionManagementException`

### updateFeedbackFlag

    public void updateFeedbackFlag(String rid,
                                   boolean feedbackAllowed)
                            throws RecipeBusinessConnectorException,
                                   TechnicalConnectorException

  Deprecated.
  Update feedback flag.

  Specified by:
    `updateFeedbackFlag` in interface `RecipePrescriberService`
  Parameters:
    `rid` - the rid
    `feedbackAllowed` - the feedback allowed
  Throws:
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### listFeedback

    public List<ListFeedbackItem> listFeedback(boolean readFlag)
                                        throws RecipeBusinessConnectorException,
                                               TechnicalConnectorException

  Deprecated.
  List feedback.

  Specified by:
    `listFeedback` in interface `RecipePrescriberService`
  Parameters:
    `readFlag` - the read flag
  Returns:
    the list
  Throws:
    `RecipeBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.